commit b6c9b80e729455d268b52db02763970a946744cd
Author: Rical Jasan <ricaljasan@pacific.net>
Date:   Mon Feb 19 03:30:06 2018 -0800

    manual: Document missing feature test macros.
    
    Several feature test macros are documented in features.h but absent in
    the manual, and some documented macros accept undocumented values.
    This commit updates the manual to mention all the accepted macros,
    along with any values that hold special meaning.
    
            * manual/creature.texi (_POSIX_C_SOURCE): Document special
            values of 199606L, 200112L, and 200809L.
            (_XOPEN_SOURCE): Document special values of 600 and 700.
            (_ISOC11_SOURCE): Document macro.
            (_ATFILE_SOURCE): Likewise.
            (_FORTIFY_SOURCE): Likewise.
    
    (cherry picked from commit 6a3962c4a408e8cbc305d2433711196107374e89)
    (cherry picked from commit da81ae645d8ee89052f109c814a68a9489f562e6)

diff --git a/ChangeLog b/ChangeLog
index 3ae0ecd07a..911e0900b7 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,13 @@
+2018-02-20  Rical Jasan  <ricaljasan@pacific.net>
+
+	[BZ #16335]
+	* manual/creature.texi (_POSIX_C_SOURCE): Document special values
+	of 199606L, 200112L, and 200809L.
+	(_XOPEN_SOURCE): Document special values of 600 and 700.
+	(_ISOC11_SOURCE): Document macro.
+	(_ATFILE_SOURCE): Likewise.
+	(_FORTIFY_SOURCE): Likewise.
+
 2018-03-09  Aurelien Jarno  <aurelien@aurel32.net>
 
 	[BZ #22919]
diff --git a/NEWS b/NEWS
index e237227c9f..d3ca5289b0 100644
--- a/NEWS
+++ b/NEWS
@@ -10,6 +10,7 @@ Version 2.27.1
 The following bugs are resolved with this release:
 
   [6889] 'PWD' mentioned but not specified
+  [16335] Feature test macro documentation incomplete and out of date
   [22638] sparc: static binaries are broken if glibc is built by gcc
     configured with --enable-default-pie
   [22735] Misleading typo in time.h source comment regarding CLOCKS_PER_SECOND
